Loading...
Searching...
No Matches
Opm::SolventPvt< Scalar > Class Template Reference

This class represents the Pressure-Volume-Temperature relations of the "second" gas phase in the of ECL simulations with solvents. More...

`#include <SolventPvt.hpp>`

## Public Types

using | TabulatedOneDFunction = Tabulated1DFunction<Scalar>

## Public Member Functions

void | setNumRegions (std::size_t numRegions)
void | setVapPars (const Scalar, const Scalar)
void | setReferenceDensity (unsigned regionIdx, Scalar rhoRefSolvent)
| Initialize the reference density of the solvent gas for a given PVT region.
void | setSolventViscosity (unsigned regionIdx, const TabulatedOneDFunction &mug)
| Initialize the viscosity of the solvent gas phase.
void | setSolventFormationVolumeFactor (unsigned regionIdx, const SamplingPoints &samplePoints)
| Initialize the function for the formation volume factor of solvent gas.
void | initEnd ()
| Finish initializing the oil phase PVT properties.
unsigned | numRegions () const
| Return the number of PVT regions which are considered by this PVT-object.
template<class Evaluation>
Evaluation | viscosity (unsigned regionIdx, const Evaluation &, const Evaluation &pressure) const
| Returns the dynamic viscosity [Pa s] of the fluid phase given a set of parameters.
template<class Evaluation>
Evaluation | diffusionCoefficient (const Evaluation &, const Evaluation &, unsigned) const
Scalar | referenceDensity (unsigned regionIdx) const
| Return the reference density the solvent phase for a given PVT region.
template<class Evaluation>
Evaluation | inverseFormationVolumeFactor (unsigned regionIdx, const Evaluation &, const Evaluation &pressure) const
| Returns the formation volume factor [-] of the fluid phase.
const std::vector< Scalar > & | solventReferenceDensity () const
const std::vector< TabulatedOneDFunction > & | inverseSolventB () const
const std::vector< TabulatedOneDFunction > & | solventMu () const
const std::vector< TabulatedOneDFunction > & | inverseSolventBMu () const

## Detailed Description

template<class Scalar>
class Opm::SolventPvt< Scalar >

This class represents the Pressure-Volume-Temperature relations of the "second" gas phase in the of ECL simulations with solvents.

## Member Function Documentation

## setSolventFormationVolumeFactor()

template<class Scalar>

void Opm::SolventPvt< Scalar >::setSolventFormationVolumeFactor | ( | unsigned | regionIdx,
|  | const SamplingPoints & | samplePoints )

Initialize the function for the formation volume factor of solvent gas.

Parameters

  regionIdx | Region index to use
  samplePoints | A container of values

## setSolventViscosity()

template<class Scalar>

void Opm::SolventPvt< Scalar >::setSolventViscosity | ( | unsigned | regionIdx,
|  | const TabulatedOneDFunction & | mug )

inline

Initialize the viscosity of the solvent gas phase.

This is a function of ...

The documentation for this class was generated from the following files:

- opm/material/fluidsystems/blackoilpvt/SolventPvt.hpp
- opm/material/fluidsystems/blackoilpvt/SolventPvt.cpp